This project demonstrates how a ti-widget-linegraph component can be configured as a bar graph.  

(_NOTE: no target is required to run this demo_
)

To add a bar graph to your own GUI Composer project:
* Drag a **Line Graph** component onto your design from the Palette
* set the **show-bars** property to true
* set the **series_0_values** string to the values to be displayed, as shown below.

The series_0_values property is a string that uses a semicolon  as the delimiter between x/y points, and a comma as the delimiter between the x and y values.  
* The 0-based x value indicates which 'bar' the value is associated with,
* the y value indicates the hieght of the bar.
* e.g. 0,10;1,50;2,100; will display 3 bars of heights 10, 50 and 100.
* 
The number of bars is automatically determined by the number of x/y points specified.

Other properties to set:
* hide-xaxis: true
* cross-hair-mode: none
* The graph will auto-scale itself by default.  To fix the scale, set the **series_0_max** property value to a non-zero number and set the **fixed-scale** property to true.

To label the bars in the bar graph, drag Label components from the Palette and position them under the bar graph

To see how the sliders are bound to the series_0_values string in this demo project, you will need to open the project as a new GCv2 app and then edit the newfile_0.js file (click on the folder icon in the designer toolbar and look in the open folder with [Active] in the folder name).

To create your own .js file in your project, select **File /New / Javascript File** in the Designer menu and un-comment the 'boilerplate code' in the bottom half of the file.

To see this help information again, select **Help / View README.md** from this project's menu.
